# Generated by rust2rpm 25
%bcond_without check

%global crate ripgrep

Name:           rust-ripgrep
Version:        14.1.0
Release:        %autorelease
Summary:        Line-oriented search tool

License:        Unlicense OR MIT
URL:            https://crates.io/crates/ripgrep
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ripgrep-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unsupported SIMD feature
Patch:          ripgrep-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Ripgrep is a line-oriented search tool that recursively searches the
current directory for a regex pattern while respecting gitignore rules.
ripgrep has first class support on Windows, macOS and Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        BSD-3-Clause AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE-MIT
%license UNLICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc FAQ.md
%doc GUIDE.md
%doc README.md
%doc RELEASE-CHECKLIST.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*
%{bash_completions_dir}/rg.bash
%{fish_completions_dir}/rg.fish
%{zsh_completions_dir}/_rg

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a
%{cargo_license_summary -a}
%{cargo_license -a} > LICENSE.dependencies

%install
%cargo_install -a
# generate and install manpage
target/release/rg --generate man > rg.1
install -Dpm 0644 rg.1 -t %{buildroot}/%{_mandir}/man1/
# generate and install shell completions
target/release/rg --generate complete-bash > rg.bash
target/release/rg --generate complete-fish > rg.fish
target/release/rg --generate complete-zsh > _rg
install -Dpm 0644 rg.bash -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 rg.fish -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 _rg -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
%autochangelog
